Bug 847841 - SELinux is preventing /usr/bin/nspluginscan from 'execute' accesses on the file /usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libflashplayer.so. Also it is preventing nspluginviewer.
SELinux is preventing /usr/bin/nspluginscan from 'execute' accesses on the fi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:1b47f1babff500ae5164829f61d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 13:49 EDT by ahmad.harthi@yahoo.com
Modified: 2012-12-15 14:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-15 14:43:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ahmad.harthi@yahoo.com 2012-08-13 13:49:58 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.1-1.fc17.x86_64
time:           Mon 13 Aug 2012 08:48:49 PM AST

description:
:SELinux is preventing /usr/bin/nspluginscan from 'execute' accesses on the file /usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libflashplayer.so.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that nspluginscan should be allowed execute access on the nswrapper_64_64.libflashplayer.so file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep nspluginscan /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:mozilla_plugin_rw_t:s0
:Target Objects                /usr/lib64/mozilla/plugins-
:                              wrapped/nswrapper_64_64.libflashplayer.so [ file ]
:Source                        nspluginscan
:Source Path                   /usr/bin/nspluginscan
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           kde-baseapps-4.8.4-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.1-1.fc17.x86_64 #1 SMP Thu Aug
:                              9 17:50:43 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Mon 13 Aug 2012 08:39:25 PM AST
:Last Seen                     Mon 13 Aug 2012 08:39:41 PM AST
:Local ID                      c012fca9-536a-4c1c-a575-53f6f0ae1f8f
:
:Raw Audit Messages
:type=AVC msg=audit(1344879581.670:441): avc:  denied  { execute } for  pid=29270 comm="nspluginscan" path="/usr/lib64/mozilla/plugins-wrapped/nswrapper_64_64.libflashplayer.so" dev="dm-1" ino=266324 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:mozilla_plugin_rw_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1344879581.670:441): arch=x86_64 syscall=mmap success=no exit=EACCES a0=0 a1=221580 a2=5 a3=802 items=0 ppid=29252 pid=29270 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=nspluginscan exe=/usr/bin/nspluginscan subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: nspluginscan,mozilla_plugin_t,mozilla_plugin_rw_t,file,execute
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t mozilla_plugin_rw_t:file execute;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t mozilla_plugin_rw_t:file execute;
:
Comment 1 Daniel Walsh 2012-08-13 14:47:43 EDT
Did everything work ok?
Comment 2 ahmad.harthi@yahoo.com 2012-08-20 20:04:17 EDT
Yes, BUT... (I'm not familiar with SELinux, I did what it've suggested to me, adding an exception if I beleive these plugins shouldn't be blocked, and file a bug if I think the default behaviour is allowing access for those plugins)
Comment 3 Miroslav Grepl 2012-08-21 09:29:36 EDT
Ok, could you execute

# semodule -r mypol.pp
# grep nspluginscan /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

and make sure it still works. Thank you.

This rule will dontaudit this access.

Note You need to log in before you can comment on or make changes to this bug.